Skip to main content
PUT
Update an event stream

Authorizations

Authorization
string
header
required

Path Parameters

eventStreamId
string
required

Body

application/json

Body of a PUT /v6/event-streams/{eventStreamId} request.

component_ids
string[]
component_references
object[]
description

Choose between static or dynamic description

name

Choose between static or dynamic name

stop_at
string

RFC 3339 UTC date-time with a Z suffix. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?Z$
Example:

"2025-10-24T09:00:00.000Z"

tags
string[]

Response

Successful response

Stored event stream definition. Fields name and description are unevaluated and appear in buildtime-evaluatable form.

component_ids
string[]
required
created_date
string
required

RFC 3339 UTC date-time with a Z suffix. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?Z$
Example:

"2025-10-24T09:00:00.000Z"

description
required

The description as configured: a literal value, or an expression (type:string) when defined dynamically.

filters
(APPLICATION_TYPE · object | EVENT_NAME · object | EVENT_TYPE · object | PERSON_ID · object | SANDBOX · object)[]
required
id
string
required
read-only
name
required

The name as configured: a literal value, or an expression (type:string) when defined dynamically.

stop_at
string
required

RFC 3339 UTC date-time with a Z suffix. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?Z$
Example:

"2025-10-24T09:00:00.000Z"

tags
string[]
required
updated_date
string
required

RFC 3339 UTC date-time with a Z suffix. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?Z$
Example:

"2025-10-24T09:00:00.000Z"